<ui:composition xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml" template="layout/template.xhtml">
    <ui:define name="body">
        #{messagesStepBean.init()}
        #{dataTableStateHolder.setDescendingOn('id')}
        <h1>#{messages['net.ihe.gazelle.proxy.Messages']}</h1>
        <h:form id="searchForm">
            <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                <ui:define name="panel_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.proxy.SearchCriteria']}"/>
                </ui:define>
                <div class="row">
                    <div class="col-md-6">
                        <div class="row">
                            <div class="col-md-12">
                                <a4j:region selfRendered="true">
                                    <h:selectBooleanCheckbox
                                            value="#{messagesStepBean.filterPathFrom}">
                                        <a4j:ajax event="change" render=" :searchForm,panelOfMessages"/>
                                    </h:selectBooleanCheckbox>
                                </a4j:region>
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.proxy.FilterMessageOrigin']}"/>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <a4j:region selfRendered="true">
                                    <h:selectBooleanCheckbox
                                            value="#{messagesStepBean.filterPathReceiver}">
                                        <a4j:ajax event="change" render=" :searchForm,panelOfMessages"/>
                                    </h:selectBooleanCheckbox>
                                </a4j:region>
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.proxy.FilterMessageByProxyPortDestination']}"/>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <a4j:region selfRendered="true">
                                    <h:selectBooleanCheckbox value="#{messagesStepBean.filterDates}">
                                        <a4j:ajax event="change" render=" :searchForm,panelOfMessages"
                                                  listener="#{messagesStepBean.dateSelection(1)}"/>
                                    </h:selectBooleanCheckbox>
                                </a4j:region>
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.proxy.FilterMessageDates']}"/>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <a4j:region selfRendered="true">
                                    <h:selectBooleanCheckbox
                                            value="#{messagesStepBean.filterPersoDate}">
                                        <a4j:ajax event="change" render=" :searchForm panelOfMessages"
                                                  listener="#{messagesStepBean.dateSelection(2)}"/>
                                    </h:selectBooleanCheckbox>
                                </a4j:region>
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.proxy.FilterMessageWithSpecificDates']}"/>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <s:div styleClass="row" rendered="#{messagesStepBean.filterPersoDate == true}">
                                    <div class="col-md-6">
                                        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                            <ui:param name="id" value="datefrom"/>
                                            <ui:define name="label">#{messages['net.ihe.gazelle.proxy.DateFrom']}
                                            </ui:define>
                                            <s:div width="300px">
                                                <rich:calendar id="datefrom"
                                                               value="#{messagesStepBean.startDate}" popup="true"
                                                               showApplyButton="true" datePattern="d/M/yy HH:mm"
                                                               cellWidth="24px" cellHeight="22px" style="width:200px">
                                                    <a4j:ajax event="change" render=" :searchForm,panelOfMessages"
                                                              execute="@this"/>
                                                </rich:calendar>
                                            </s:div>
                                        </s:decorate>
                                    </div>
                                    <div class="col-md-6">
                                        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                            <ui:param name="id" value="dateto"/>
                                            <ui:define name="label">#{messages['net.ihe.gazelle.proxy.DateTo']}
                                            </ui:define>
                                            <s:div width="300px">
                                                <rich:calendar id="dateto" value="#{messagesStepBean.endDate}"
                                                               popup="true" showApplyButton="true"
                                                               datePattern="d/M/yy HH:mm"
                                                               cellWidth="24px" cellHeight="22px" style="width:200px">
                                                    <a4j:ajax event="change" render=" :searchForm,panelOfMessages"
                                                              execute="@this"/>
                                                </rich:calendar>
                                            </s:div>
                                        </s:decorate>
                                    </div>
                                </s:div>
                                <s:div styleClass="row" rendered="#{messagesStepBean.filterPersoDate == true}">
                                    <div class="col-md-6">
                                        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                            <ui:param name="id" value="selectDate"/>
                                            <ui:define name="label">
                                                #{messages['net.ihe.gazelle.proxy.RapidDateSelection']}
                                            </ui:define>
                                            <h:selectOneMenu id="selectDate" styleClass="form-control gzl-form-control"
                                                             value="#{messagesStepBean.currentSelectDate}">
                                                <f:selectItem id="item" itemLabel="--" itemValue="1"/>
                                                <f:selectItem id="item1"
                                                              itemLabel="#{messages['net.ihe.gazelle.proxy.LastHour']}"
                                                              itemValue="last hour"/>
                                                <f:selectItem id="item2"
                                                              itemLabel="#{messages['net.ihe.gazelle.proxy.Today']}"
                                                              itemValue="today"/>
                                                <f:selectItem id="item3"
                                                              itemLabel="#{messages['net.ihe.gazelle.proxy.Yesterday']}"
                                                              itemValue="yesterday"/>
                                                <f:selectItem id="item4"
                                                              itemLabel="#{messages['net.ihe.gazelle.proxy.ThisWeek']}"
                                                              itemValue="this week"/>
                                                <f:selectItem id="item5"
                                                              itemLabel="#{messages['net.ihe.gazelle.proxy.LastWeek']}"
                                                              itemValue="last week"/>
                                                <f:selectItem id="item6"
                                                              itemLabel="#{messages['net.ihe.gazelle.proxy.ThisMonth']}"
                                                              itemValue="this month"/>
                                                <f:selectItem id="item7"
                                                              itemLabel="#{messages['net.ihe.gazelle.proxy.LastMonth']}"
                                                              itemValue="last month"/>
                                                <a4j:ajax event="change"
                                                          listener="#{messagesStepBean.selectDate(messagesStepBean.currentSelectDate)}"
                                                          execute="@this" render="searchForm,panelOfMessages"/>
                                            </h:selectOneMenu>
                                        </s:decorate>
                                    </div>
                                </s:div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.proxy.Filter']} :"/>
                        <h:outputText style="font-family: monospace;" escape="false"
                                      value="#{messagesStepBean.getStepFilter()}"/>
                    </div>
                </div>
                <ui:define name="filter_buttons">
                    <a4j:commandLink actionListener="#{messagesStepBean.refreshFilter()}"
                                     title="#{messages['net.ihe.gazelle.proxy.Refresh']}" type="submit"
                                     execute="@this" render=" :searchForm,panelOfMessages">
                        <span class="fa fa-refresh"/>
                    </a4j:commandLink>
                    <a4j:commandLink actionListener="#{messagesStepBean.resetFilter()}"
                                     title="#{messages['net.ihe.gazelle.proxy.Reset']}" type="submit"
                                     execute="@this" render="searchForm,panelOfMessages">
                        <span class="fa fa-times-circle"/>
                    </a4j:commandLink>
                </ui:define>

            </ui:decorate>


            <s:div id="panelOfMessages">
                <ui:include src="testInstanceMessageList.xhtml">
                    <ui:param name="messagesList"
                              value="#{messagesStepBean.messageDataModel}"/>
                </ui:include>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
